Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.binding
Interface BindingFactory

All Known Implementing Classes:
  BindingFactoryImpl

    public interface BindingFactory

Factory interface for creating bindings. The parameters to each method are the not guice controlled parameters to each binding's constructor, analogous to how `Assisted` factories work. We cannot use true assisted inject since some of the types we use (`Key` and `TypeLiteral`) are not compatible with Guice injection.

Method Summary
`AsyncProviderBinding` | `getAsyncProviderBinding(Key<?> providerKey)`
`BindClassBinding` | `getBindClassBinding(Key<?> boundClassKey, Key<?> sourceClassKey, Context context)`
`
`<T> BindConstantBinding`
` | `getBindConstantBinding(Key<T> key, T instance, Context context)`
`BindProviderBinding` | `getBindProviderBinding(Key<? extends javax.inject.Provider<?>> providerKey, Key<?> sourceKey, Context context)`
`CallConstructorBinding` | `getCallConstructorBinding(MethodLiteral<?,java.lang.reflect.Constructor<?>> constructor)`
`CallGwtDotCreateBinding` | `getCallGwtDotCreateBinding(TypeLiteral<?> type)`
`ExposedChildBinding` | `getExposedChildBinding(Key<?> key, GinjectorBindings childBindings, Context context)`
`FactoryBinding` | `getFactoryBinding(java.util.Map<Key<?>,TypeLiteral<?>> collector, Key<?> factoryKey, Context context)`
`GinjectorBinding` | `getGinjectorBinding()`
`ImplicitProviderBinding` | `getImplicitProviderBinding(Key<?> providerKey)`
`ParentBinding` | `getParentBinding(Key<?> key, GinjectorBindings parentBindings, Context context)`
`ProviderMethodBinding` | `getProviderMethodBinding(com.google.inject.internal.ProviderMethod<?> providerMethod, Context context)`
`RemoteServiceProxyBinding` | `getRemoteServiceProxyBinding(TypeLiteral<?> type)`

Method Detail

### getAsyncProviderBinding

    AsyncProviderBinding getAsyncProviderBinding(Key<?> providerKey)

### getBindClassBinding

    BindClassBinding getBindClassBinding(Key<?> boundClassKey,
                                         Key<?> sourceClassKey,
                                         Context context)

### getBindConstantBinding

    <T> BindConstantBinding getBindConstantBinding(Key<T> key,
                                                   T instance,
                                                   Context context)

### getBindProviderBinding

    BindProviderBinding getBindProviderBinding(Key<? extends javax.inject.Provider<?>> providerKey,
                                               Key<?> sourceKey,
                                               Context context)

### getCallConstructorBinding

    CallConstructorBinding getCallConstructorBinding(MethodLiteral<?,java.lang.reflect.Constructor<?>> constructor)

### getCallGwtDotCreateBinding

    CallGwtDotCreateBinding getCallGwtDotCreateBinding(TypeLiteral<?> type)

### getExposedChildBinding

    ExposedChildBinding getExposedChildBinding(Key<?> key,
                                               GinjectorBindings childBindings,
                                               Context context)

### getFactoryBinding

    FactoryBinding getFactoryBinding(java.util.Map<Key<?>,TypeLiteral<?>> collector,
                                     Key<?> factoryKey,
                                     Context context)

### getImplicitProviderBinding

    ImplicitProviderBinding getImplicitProviderBinding(Key<?> providerKey)

### getParentBinding

    ParentBinding getParentBinding(Key<?> key,
                                   GinjectorBindings parentBindings,
                                   Context context)

### getProviderMethodBinding

    ProviderMethodBinding getProviderMethodBinding(com.google.inject.internal.ProviderMethod<?> providerMethod,
                                                   Context context)

### getRemoteServiceProxyBinding

    RemoteServiceProxyBinding getRemoteServiceProxyBinding(TypeLiteral<?> type)

### getGinjectorBinding

    GinjectorBinding getGinjectorBinding()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD